golden-class {lme4} | R Documentation

## Class `"golden"` and Generator for Golden Search Optimizer Class

### Description

`"golden"` is a reference class for a golden search scalar optimizer, for a parameter within an interval.

`golden()` is the generator for the `"golden"` class. The optimizer uses reverse communications.

### Usage

    golden(...)

### Arguments

`...` | (partly optional) arguments passed to `new()` must be named arguments. `lower` and `upper` are the bounds for the scalar parameter; they must be finite.

### Extends

All reference classes extend and inherit methods from `"envRefClass"`.

### Examples

    showClass("golden")

    golden(lower= -100, upper= 1e100)

[Package lme4 version 1.1-21 Index]